Package org.apache.torque.sql.objectbuilder

## Class ObjectOrColumnPsPartBuilder

- java.lang.Object
- - org.apache.torque.sql.objectbuilder.ObjectOrColumnPsPartBuilder

- All Implemented Interfaces:
    `ObjectPsPartBuilder`

      public class ObjectOrColumnPsPartBuilder
      extends Object
      implements ObjectPsPartBuilder

  Builds a PreparedStatementPart from a column or single value.
  Version:
    $Id: ObjectOrColumnPsPartBuilder.java 1849379 2018-12-20 12:33:43Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectOrColumnPsPartBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PreparedStatementPart` | `buildPs​(Object toBuildFrom, boolean ignoreCase, Query query, Adapter adapter)` | Builds a PreparedStatementPart from a column or single value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectOrColumnPsPartBuilder

          public ObjectOrColumnPsPartBuilder()

  - ### Method Detail

    - #### buildPs

          public PreparedStatementPart buildPs​(Object toBuildFrom,
                                               boolean ignoreCase,
                                               Query query,
                                               Adapter adapter)
                                        throws TorqueException

      Builds a PreparedStatementPart from a column or single value.
      Specified by:
        `buildPs` in interface `ObjectPsPartBuilder`
      Parameters:
        `toBuildFrom` - the object to build the psPart from.
        `ignoreCase` - If true and columns represent Strings, the appropriate function defined for the database will be used to ignore differences in case.
        `query` - the query which is currently built
        `adapter` - The adapter for the database for which the SQL should be created, not null.
      Returns:
        the PreparedStatementPart for the object.
      Throws:
        `TorqueException` - when rendering fails.